rtlsdr 0.0.1
rtlsdr: ^0.0.1 copied to clipboard

Dart bindings for Software Defined Radio (librtlsdr).

Pub Package Build Status GitHub Issues GitHub Forks GitHub Stars GitHub License

Dart bindings for Software Defined Radio #

This library is open source, stable and well tested. Development happens on GitHub. Feel free to report issues or create a pull-request there. General questions are best asked on StackOverflow.

The package is hosted on dart packages. Up-to-date class documentation is created with every release.

Installation #

Follow the installation instructions on dart packages.

import 'package:rtlsdr/rtlsdr.dart';

Tutorial #

import 'package:rtlsdr/rtlsdr.dart';

void main() {
  // Grab the first RTLSDR device and print its name.
  final device = getDevices()[0];
  print(device.name);

  // Open device and tune-in.
  final open = device.open();
  try {
    open.centerFrequency = 105800000;
    open.sampleRate = 2048000;

    // Read some data.
    open.resetBuffer();
    open.readAsync((data) {
      print('${data.sublist(0, 100).join(', ')} ...');
      return false; // continue?
    });
  } finally {
    // Close the device at the end.
    open.close();
  }
}

License #

The MIT License, see LICENSE.

1
likes
80
pub points
0%
popularity

Dart bindings for Software Defined Radio (librtlsdr).

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

ffi, meta, more

More

Packages that depend on rtlsdr